Bug 139843 - Crash swlo!SwNumRule::MakeNumString
Summary: Crash swlo!SwNumRule::MakeNumString
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.3 all versions
Hardware: All All
: medium normal
Assignee: Michael Stahl (allotropia)
URL:
Whiteboard: target:7.4.0 target:7.3.0.0.beta2 tar...
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks: Paste Crash redlinehide-regressions
  Show dependency treegraph
 
Reported: 2021-01-22 19:07 UTC by Telesto
Modified: 2021-12-22 04:58 UTC (History)
4 users (show)

See Also:
Crash report or crash signature: ["SwNumRule::MakeNumString(SwNodeNum const &,bool)"]


Attachments
Example file somewhat reduced (686.02 KB, application/vnd.oasis.opendocument.text)
2021-01-22 19:16 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2021-01-22 19:07:35 UTC
Description:
Crash swlo!SwNumRule::MakeNumString

Steps to Reproduce:
1. Open attachment 165096 [details] (bug 122792)
2. CTRL+A
3. CTRL+X
4. CTRL+V -> Crash
5. Wait for save file..
6. Crash again

Actual Results:
Crash

Expected Results:
No crash


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 6ee7a3b2c0565c2871d32d704cb2899445b9f88d
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL
Comment 1 Telesto 2021-01-22 19:16:02 UTC
Created attachment 169095 [details]
Example file somewhat reduced
Comment 2 Telesto 2021-01-22 19:21:10 UTC
warn:legacy.osl:3732:8520:sw/source/core/fields/reffld.cxx:775: <SwGetRefField::MakeRefNumStr(..)> - referenced paragraph has number, but no <SwNodeNum> instance!
Comment 3 Telesto 2021-01-22 19:21:48 UTC
Comment on attachment 169095 [details]
Example file somewhat reduced

Not working
Comment 4 Xisco Faulí 2021-02-09 10:33:36 UTC
Crash reproduced in step 4

Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: 40b56cd8da8c38582dc4660b486993d1b4711535
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 5 Xisco Faulí 2021-02-09 10:36:50 UTC
Also reproduced in

Version: 6.4.0.0.alpha1+
Build ID: 9bc848cf0d301aa57eabcffa101a1cf87bad6470
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 6 Xisco Faulí 2021-02-09 10:40:21 UTC
Not reproducible in

Version: 5.4.0.0.alpha1+
Build ID: 9feb7f7039a3b59974cbf266922177e961a52dd1
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); Calc: group
Comment 7 raal 2021-02-21 20:55:48 UTC
This seems to have begun at the below commit.
Adding Cc: to Michael Stahl ; Could you possibly take a look at this one?
Thanks
bibisect-linux-64-6.3$
63dec39f2e1dab30a4c3ea8bdcea290600cf6983 is the first bad commit
commit 63dec39f2e1dab30a4c3ea8bdcea290600cf6983
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Tue Dec 18 22:07:56 2018 +0100

    source sha:32902f66e7749b2d06d13f50416be5323a0c0ea9

commit	32902f66e7749b2d06d13f50416be5323a0c0ea9	[log]
author	Michael Stahl <Michael.Stahl@cib.de>	Fri Nov 30 17:54:41 2018 +0100
committer	Michael Stahl <Michael.Stahl@cib.de>	Tue Dec 18 17:55:30 2018 +0100
tree	901ab6577d25102c0a855d2a63964dfef67b34c4
parent	b310378e874bc8fa7005352fcd85fa64eb075f54 [diff]

sw_redlinehide: make layout based Show/Hide mode the default
Comment 8 Xisco Faulí 2021-03-17 21:19:00 UTC
(In reply to raal from comment #7)
> This seems to have begun at the below commit.
> Adding Cc: to Michael Stahl ; Could you possibly take a look at this one?
> Thanks
> bibisect-linux-64-6.3$
> 63dec39f2e1dab30a4c3ea8bdcea290600cf6983 is the first bad commit
> commit 63dec39f2e1dab30a4c3ea8bdcea290600cf6983
> Author: Jenkins Build User <tdf@pollux.tdf>
> Date:   Tue Dec 18 22:07:56 2018 +0100
> 
>     source sha:32902f66e7749b2d06d13f50416be5323a0c0ea9
> 
> commit	32902f66e7749b2d06d13f50416be5323a0c0ea9	[log]
> author	Michael Stahl <Michael.Stahl@cib.de>	Fri Nov 30 17:54:41 2018 +0100
> committer	Michael Stahl <Michael.Stahl@cib.de>	Tue Dec 18 17:55:30 2018 +0100
> tree	901ab6577d25102c0a855d2a63964dfef67b34c4
> parent	b310378e874bc8fa7005352fcd85fa64eb075f54 [diff]
> 
> sw_redlinehide: make layout based Show/Hide mode the default

The bisection is not correct. The commits just moves the feature out of experimental mode. You have to bisect it further with experimental mode enabled
Comment 9 Michael Stahl (allotropia) 2021-12-14 20:28:37 UTC
copying comments from bug 136409:


[tag] [reply] [−] Comment 6 Telesto 2020-09-03 20:04:10 CEST

Crash with
6.3

No crash on paste with
6.2

[tag] [reply] [−] Comment 7 Terrence Enger 2020-09-23 19:30:36 CEST

Created attachment 165798 [details]
bibisect-linux-64-6.3, tail of terminal output

Working in bibisect-linux-64-6.3 repository on debian-buster, I find
the bug started:

          commit    s-h       date
          --------  --------  -------------------
    good  717ce60f  43a7231c  2018-11-15 14:10:06
    bad   f7287b31  ae246b44  2018-11-15 14:10:06

for which the commit message is

    commit ae246b44da1708417aaaefe4f9186cfbbb9a9137
    Author:     Michael Stahl <Michael.Stahl@cib.de>
    AuthorDate: Wed Nov 7 14:16:28 2018 +0100
    Commit:     Michael Stahl <Michael.Stahl@cib.de>
    CommitDate: Thu Nov 15 15:10:06 2018 +0100

        sw_redlinehide_3: add second result to SwGetRefField
    
        ... and init it in SwGetRefField::UpdateField().
    
        Change-Id: I69af00678e84214d4a122d8b2d940fcdda5f4ccf


I waited for CPU usage to return to 0% before each operation.  This
introduces considerable delay, especially between first rendering of
the document and <Ctrl>+A.


When I probed the "good" versions, after LibreOffice correctly
responded to <Ctrl>+V, I continued with

5. CTRL+Q ALT+D

the <Alt>+D being a reponse to the question about saving the document
before quitting.)  In the probes of versions closest the first bad
version, LibreOffice promptly closed the Writer window and then
finished normally after about 3 more minutes with 100% CPU.  However,
two probes of the earliest versions in the repository, upon <Ctrl>+Q
<Alt>+D, crashed with a Signal 6.  A backtrace from this crash looks
quite different from the backtrace from a crash upon <Ctrl>+V.


I am removing keyword bibisectRequest and adding bibisected, bisected.

[tag] [reply] [−] Comment 8 Terrence Enger 2020-09-23 19:40:16 CEST

Created attachment 165799 [details]
backtrace from master

This backtrace is from a local build of commit b42d5557, 2020-09-10, built and running on debian-buster, configured:

    --with-vendor=Terrence Enger
    --with-jdk-home=/usr/lib/jvm/default-java
    --enable-split-debug
    --enable-gdb-index
    --enable-ld=gold
    --enable-option-checking=fatal
    #--enable-dbgutil
    --enable-debug
    --without-system-postgresql
    --without-myspell-dicts
    --with-extra-buildid
    --without-doxygen
    --with-external-tar=/home/terry/lo_hacking/git/src
    --without-package-format

I am removing keyword wantBacktrace and adding haveBacktrace.
Comment 10 Commit Notification 2021-12-15 14:35:56 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/cc02c0e32fda654cb4bcb93f87ceb48b356e1d84

tdf#139843 sw_redlinehide: fix crash while updating reference fields

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Michael Stahl (allotropia) 2021-12-15 14:39:10 UTC
fixed on master
Comment 12 Commit Notification 2021-12-16 08:22:02 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/b96b996db44810a1577ffbbc8ebe5518ca9b3f1f

tdf#139843 sw_redlinehide: fix crash while updating reference fields

It will be available in 7.3.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2021-12-16 08:23:17 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/0d05c7a566f0fd9660c48b3efb74d3c3d969226d

tdf#139843 sw_redlinehide: fix crash while updating reference fields

It will be available in 7.2.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2021-12-22 04:58:09 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-7-2-5":

https://git.libreoffice.org/core/commit/bcaded18437e2421de2011d24e5d611af4e1ddf3

tdf#139843 sw_redlinehide: fix crash while updating reference fields

It will be available in 7.2.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.